Assign Insight Template To Group
Assign an insight to a group
POST
/
ai
/
conversations
/
insight-groups
/
{group_id}
/
insights
/
{insight_id}
/
assign
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.ai.conversations.insightGroups.insights.assign(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ group_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.ai.conversations.insight_groups.insights.assign(
insight_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
group_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.AI.Conversations.InsightGroups.Insights.Assign(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.AIConversationInsightGroupInsightAssignParams{
GroupID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.insightgroups.insights.InsightAssignParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
InsightAssignParams params = InsightAssignParams.builder()
.groupId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.insightId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
client.ai().conversations().insightGroups().insights().assign(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.ai.conversations.insight_groups.insights.assign(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
group_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->ai->conversations->insightGroups->insights->assign(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
groupID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations:insight-groups:insights assign \
--api-key 'My API Key' \
--group-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--insight-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request POST \
--url https://api.telnyx.com/v2/ai/conversations/insight-groups/{group_id}/insights/{insight_id}/assign \
--header 'Authorization: Bearer <token>'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.ai.conversations.insightGroups.insights.assign(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ group_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.ai.conversations.insight_groups.insights.assign(
insight_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
group_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.AI.Conversations.InsightGroups.Insights.Assign(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.AIConversationInsightGroupInsightAssignParams{
GroupID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.insightgroups.insights.InsightAssignParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
InsightAssignParams params = InsightAssignParams.builder()
.groupId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.insightId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
client.ai().conversations().insightGroups().insights().assign(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.ai.conversations.insight_groups.insights.assign(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
group_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->ai->conversations->insightGroups->insights->assign(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
groupID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations:insight-groups:insights assign \
--api-key 'My API Key' \
--group-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--insight-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request POST \
--url https://api.telnyx.com/v2/ai/conversations/insight-groups/{group_id}/insights/{insight_id}/assign \
--header 'Authorization: Bearer <token>'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}